Subject: bug#20484: EMACS=t Joy and Happiness

From: [email-masked] (Phillip Lord)
Date: Fri, 25 May 2018 23:34:20 +0100

Paul Eggert <[email-masked]> writes:

> Bash 4.4 came out only in September 2016, and it's too soon to assume
> it. For example, my students regularly use Emacs on a server running
> RHEL 7, which ships Bash 4.2.46, and as I understand it, this is the
> most recent RHEL available.

Well, Emacs-27 will come out in 2020, so that's 4 years lead time. And
the most recent of RHEL also ships with Emacs-24. So, by the time RHEL
ships Emacs-27, good chance it will ship Bash 4.4.

> How about this idea: At Emacs build time, we check whether Bash is 4.4
> or later, and if so we use a term.el that assumes bash 4.4 or
> later. Otherwise, we use a term.el that interrogates the shell
> dynamically for whether it is shell and if so what its version number
> is, the first time that Emacs runs a process under a shell.

Well, the latter half we could do (I don't think the build idea makes
sense). But I was hoping to make life simpler, not more complex.

Phil